Subject: Re: Can't run on Windows NT an application compiled with gcc on
From: [email-masked] (Fergus Henderson)

24 Nov 1996 22:25:45 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Emmanuel STAPF)
Original-Cc: [email-masked]
In-Reply-To: <1.5.4.32.19961121023734.006ccd70@dublin> from "Emmanuel STAPF" at Nov 20, 96 06:37:34 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Emmanuel STAPF, you wrote:
> 
> I compiled with succes small application on windows 95 with gcc.
> I was very surprised to see my application can't run on Windows
> NT. I've got the following message from Windows NT :
> "This program is not a valid Windows NT Application"

I experienced similar symptoms as a result of compiling
with `gcc -s' (to strip the executable).  Removing the
`-s' option worked in my case.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".